Package com.sas.services.information.publicobject

# Interface DisplayProcessorInterface

All Superinterfaces:
  com.sas.services.information.publicobject.ProcessorInterface, `Remote`

public interface DisplayProcessorInterface extends ProcessorInterface
Deprecated.
Replaced by `DetailsProcessorInterface`
This interface is used to process/get the basic information necessary about an object. Most applications use this information to display properties about an object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Deprecated.
  Name of this interface to be used when referencing this.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateDate()`
  Deprecated.
  Get the date this object was created.
  `String`
  `getDescription()`
  Deprecated.
  The description of this object.
  `Object`
  `getIcon()`
  Deprecated.
  Get the information necessary to obtain an icon for this object.
  `List`
  `getKeywords()`
  Deprecated.
  Get the keywords this object supports.
  `Date`
  `getModifyDate()`
  Deprecated.
  Get the date this object was modified.
  `String`
  `getName()`
  Deprecated.
  The name of this object.
  `String`
  `getPath()`
  Deprecated.
  The path to this object in the SAS Folder view.
  `List`
  `getResponsibleParties()`
  Deprecated.
  Get the responsibilities assigned to this object.
  `String`
  `getType()`
  Deprecated.
  Get the type name as a string of this object.

  ### Methods inherited from interface com.sas.services.information.publicobject.ProcessorInterface

  `destroy, getPublicObject`

- ## Field Details

  - ### NAME

    static final String NAME
    Deprecated.
    Name of this interface to be used when referencing this.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getType

    String getType() throws ServiceException, RemoteException
    Deprecated.
    Get the type name as a string of this object. This should be the type from the type dictionary entry if one exists.
    Returns:
      String
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getName

    String getName() throws ServiceException, RemoteException
    Deprecated.
    The name of this object.
    Returns:
      String
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getDescription

    String getDescription() throws ServiceException, RemoteException
    Deprecated.
    The description of this object.
    Returns:
      String
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPath

    String getPath() throws ServiceException, RemoteException
    Deprecated.
    The path to this object in the SAS Folder view.
    Returns:
      String
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getCreateDate

    Date getCreateDate() throws ServiceException, RemoteException
    Deprecated.
    Get the date this object was created.
    Returns:
      Date
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getModifyDate

    Date getModifyDate() throws ServiceException, RemoteException
    Deprecated.
    Get the date this object was modified.
    Returns:
      Date
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getIcon

    Object getIcon() throws ServiceException, RemoteException
    Deprecated.
    Get the information necessary to obtain an icon for this object.
    Returns:
      Object
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getKeywords

    List getKeywords() throws ServiceException, RemoteException
    Deprecated.
    Get the keywords this object supports.
    Returns:
      List
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getResponsibleParties

    List getResponsibleParties() throws ServiceException, RemoteException
    Deprecated.
    Get the responsibilities assigned to this object.
    Returns:
      List
    Throws:
      `ServiceException`
      `RemoteException`